% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/eccCL.R
\name{eccCLbuild}
\alias{eccCLbuild}
\title{Builds an ECC-classifier}
\usage{
eccCLbuild(values, labels, numInstances, ensembleSize = as.integer(-1),
  forestSize = as.integer(-1), ensembleSubSetFraction = as.double(-1),
  forestSubSetFraction = as.double(-1), maxLevel = as.integer(-1),
  maxAttributes = as.integer(-1))
}
\arguments{
\item{values}{The attributes to use as data.frame.}

\item{labels}{The labels to use as data.frame.}

\item{numInstances}{Number of instances to build with as integer.}

\item{ensembleSize}{(Optional) The size of the ECC as integer. In other words: the number of CCs to build.}

\item{forestSize}{(Optional) The number of Decision Trees to use for each Random Forest  as integer.}

\item{ensembleSubSetFraction}{(Optional) The size of a random subset as fraction (double)
of the original set of data to use for each CC.}

\item{forestSubSetFraction}{(Optional) The size of a random subset as a fraction (double)
of the ensemble set of data to use for each RF.}

\item{maxLevel}{(Optional) The maximum level/depth for a decision tree as integer.}

\item{maxAttributes}{(Optional) The number of attributes to consider each node while building a tree as integer.}
}
\value{
The ECC-classifier as a Java-object.
}
\description{
Builds an ECC-classifier
}
\examples{
ecc <- eccCLbuild(values, labels, numInstances, ensembleSize = as.integer(64))
}
