% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/eccCL.R
\name{eccCLcrossValidate}
\alias{eccCLcrossValidate}
\title{Performs a cross validation.}
\usage{
eccCLcrossValidate(values, labels, numInstances, repetitions, buildSize,
  testSize, k, ensembleSize = as.integer(-1), forestSize = as.integer(-1),
  ensembleSubSetFraction = as.double(-1),
  forestSubSetFraction = as.double(-1), maxLevel = as.integer(-1),
  maxAttributes = as.integer(-1))
}
\arguments{
\item{values}{The attributes to use as a data.frame.}

\item{labels}{The labels to use as a data.frame.}

\item{numInstances}{The number of instances to use as integer.}

\item{repetitions}{The number of repitions to perform as integer.}

\item{buildSize}{The size of the data set to use for building a classifier.}

\item{testSize}{The size of the data set to use for testing the classifier.}

\item{k}{The k-parameter for k-fold-crossvalidation as integer.}

\item{ensembleSize}{(Optional) The size of the ECC as integer. In other words: the number of CCs to build.}

\item{forestSize}{(Optional) The number of Decision Trees to use for each Random Forest  as integer.}

\item{ensembleSubSetFraction}{(Optional) The size of a random subset as fraction (double)
of the original set of data to use for each CC.}

\item{forestSubSetFraction}{(Optional) The size of a random subset as a fraction (double)
of the ensemble set of data to use for each RF.}

\item{maxLevel}{(Optional) The maximum level/depth for a decision tree as integer.}

\item{maxAttributes}{(Optional) The number of attributes to consider each node while building a tree as integer.}
}
\value{
The results for each label and measure.
}
\description{
Performs a cross validation and returns the results for each repetition, k, label and measure.
}
\examples{
crResults <- eccCLcrossValidate(values, labels, numInstances, 3, 667, 333, 3)
}
